| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
DC2467.ino File Reference
Digital Power System Management and Power Supply Supervisors » LTC2970: Dual I2C Power Supply Monitor and Margining Controller

Linear Technology DC2467 Demonstration Board (Linduino Shield) More...

## Detailed Description

Linear Technology DC2467 Demonstration Board (Linduino Shield)

LTC2970: Dual I2C Power Supply Monitor and Margining Controller

      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

http://www.linear.com/product/LTC2970

http://www.linear.com/demo/#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. !

Definition in file DC2467.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Main Linduino loop. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | ltc2970_configure ()
| Writes configuration values to the LTC2970 registers. More...

## Macros
#define | LTC2970_I2C_ADDRESS 0x5B

## Variables
static uint8_t | ltc2970_i2c_address
static LT_SMBusNoPec * | smbus = new LT_SMBusNoPec(400000)
static uint16_t | servo0_value_low
static uint16_t | servo0_value_hi
static uint16_t | servo0_value_nom
static uint16_t | servo1_value_low
static uint16_t | servo1_value_hi
static uint16_t | servo1_value_nom

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Main Linduino loop.

Returns
  void

Definition at line 108 of file DC2467.ino.

## ◆ ltc2970_configure()

static void ltc2970_configure | ( |  | ) |
| static

Writes configuration values to the LTC2970 registers.

Returns
  void

Definition at line 252 of file DC2467.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Returns
  void

Definition at line 234 of file DC2467.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Returns
  void

Definition at line 218 of file DC2467.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Returns
  void

Definition at line 84 of file DC2467.ino.

## Macro Definition Documentation

## ◆ LTC2970_I2C_ADDRESS

#define LTC2970_I2C_ADDRESS 0x5B

Definition at line 62 of file DC2467.ino.

## Variable Documentation

## ◆ ltc2970_i2c_address

uint8_t ltc2970_i2c_address
| static

Definition at line 69 of file DC2467.ino.

## ◆ servo0_value_hi

uint16_t servo0_value_hi
| static

Definition at line 75 of file DC2467.ino.

## ◆ servo0_value_low

uint16_t servo0_value_low
| static

Definition at line 74 of file DC2467.ino.

## ◆ servo0_value_nom

uint16_t servo0_value_nom
| static

Definition at line 76 of file DC2467.ino.

## ◆ servo1_value_hi

uint16_t servo1_value_hi
| static

Definition at line 78 of file DC2467.ino.

## ◆ servo1_value_low

uint16_t servo1_value_low
| static

Definition at line 77 of file DC2467.ino.

## ◆ servo1_value_nom

uint16_t servo1_value_nom
| static

Definition at line 79 of file DC2467.ino.

## ◆ smbus

LT_SMBusNoPec* smbus = new LT_SMBusNoPec(400000)
| static

Definition at line 71 of file DC2467.ino.